commit:     4b6f1f0049c096ab5aa446582d74181fc81c0566
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 13 01:58:12 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Sep 13 03:12:09 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b6f1f00

app-admin/awscli: Bump to 1.34.18

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-admin/awscli/Manifest              |  1 +
 app-admin/awscli/awscli-1.34.18.ebuild | 90 ++++++++++++++++++++++++++++++++++
 2 files changed, 91 insertions(+)

diff --git a/app-admin/awscli/Manifest b/app-admin/awscli/Manifest
index 8c02a8fb16cd..42eddfa27414 100644
--- a/app-admin/awscli/Manifest
+++ b/app-admin/awscli/Manifest
@@ -3,4 +3,5 @@ DIST aws-cli-1.34.14.gh.tar.gz 2790437 BLAKE2B 
df3355ac11561ac7f6e2a7c707d08de0b
 DIST aws-cli-1.34.15.gh.tar.gz 2790865 BLAKE2B 
e9c89028942df21d880997c61ee261110271402223869b740bbb51bd8b787c26b2b7aa4b335968665260549bde8571c97350ccaf0c32df1c28267ae454b99001
 SHA512 
f7628e664b515f46b85978d5662165a889db5db004aa6d32be9fa0ee6b9b9a4fd46281df5c8f3e6218a9adc81d365e4251d0e5ce3601c2b6da9dd4ac567c24d9
 DIST aws-cli-1.34.16.gh.tar.gz 2790321 BLAKE2B 
31e51d95ed3479f5c4a768d98dbd0190fe1a9f55bfdc116a9778140a10c44e14cc4684f11a3480fc05c26606ea8239f4bf7e2266b02b47ac456d25249e992c53
 SHA512 
4898e32d328c5dd1f80655696ec1225538ce58e5958dbb3a156dad4c865ed1e560c1a5823903a9fa9caf44af8bd618a6a6f1868a3b1fde8ee5daa4f0bdf94875
 DIST aws-cli-1.34.17.gh.tar.gz 2791693 BLAKE2B 
25ea69e1bfa09d69502ded0aa37c639b209a94ade70dcef6edc4dd3470dc180c5f3bf105a712eab69cc38560461cdcfdc50b9c6c0a26bcea4907d6180e95d4bf
 SHA512 
c59c0a5d20212a64eabdd22ec9071f4e5d8aa4c4dc172f89123f5b2ccc6868c10486171aa489b2002bccb9b1014ffdbf2f642bd5514c971a010c40b077a7e1ef
+DIST aws-cli-1.34.18.gh.tar.gz 2795166 BLAKE2B 
3ea4b81e53a03a478779c053a82c046e07905b8c24c6ef9051c136383fbdb27305cf2f211a2b0137215d7faa21ba391b99c9880c3031c4379a8b22fe197a0e65
 SHA512 
7fa3e03bd7917bc0758cf3475e4870d1fe9be92ce666e25d72827f7f8905f16240ac2be0fb3e87bffdd69137796314daac6bf22b714226d035e7eaa79734b1e1
 DIST aws-cli-1.34.5.gh.tar.gz 2774000 BLAKE2B 
34368cc257a99a9c7212972bcff91c46352db8659c5fe98101c9192cb674663b9090b3608d88875875d24488869fcb571e8602532219cf0a25bc3159f3bf285c
 SHA512 
4dc305e4e659fbbd17a265b6c9589e20c63eec671114a67687c225081f8095a8627499441f78d76e6fa0da59b03ae078833227db0434c97572a7f5f7c4a43e5a

diff --git a/app-admin/awscli/awscli-1.34.18.ebuild 
b/app-admin/awscli/awscli-1.34.18.ebuild
new file mode 100644
index 000000000000..599b9bd389b9
--- /dev/null
+++ b/app-admin/awscli/awscli-1.34.18.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit bash-completion-r1 distutils-r1
+
+MY_P=aws-cli-${PV}
+DESCRIPTION="Universal Command Line Environment for AWS"
+HOMEPAGE="
+       https://github.com/aws/aws-cli/
+       https://pypi.org/project/awscli/
+"
+SRC_URI="
+       https://github.com/aws/aws-cli/archive/${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# botocore is x.(y+1).z
+BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 1 )).$(ver_cut 3-)"
+RDEPEND="
+       >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+       dev-python/colorama[${PYTHON_USEDEP}]
+       dev-python/docutils[${PYTHON_USEDEP}]
+       dev-python/rsa[${PYTHON_USEDEP}]
+       >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       !app-admin/awscli-bin
+"
+BDEPEND="
+       test? (
+               dev-python/packaging[${PYTHON_USEDEP}]
+               dev-python/pytest-forked[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+       # do not rely on bundled deps in botocore (sic!)
+       find -name '*.py' -exec sed -i \
+               -e 's:from botocore[.]vendored import:import:' \
+               -e 's:from botocore[.]vendored[.]:from :' \
+               {} + || die
+       # strip overzealous upper bounds on requirements
+       sed -i -e 's:,<[0-9.]*::' -e 's:==:>=:' setup.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local serial_tests=(
+               
tests/functional/ecs/test_execute_command.py::TestExecuteCommand::test_execute_command_success
+               
tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_{fails,success}
+               
tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_with_new_version_plugin_success
+               
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking
+               
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking_windows
+               
tests/unit/customizations/codeartifact/test_adapter_login.py::TestNuGetLogin::test_login_nuget_sources_listed_with_backtracking
+               
tests/unit/customizations/ecs/test_executecommand_startsession.py::TestExecuteCommand::test_execute_command_success
+               tests/unit/customizations/test_sessionmanager.py
+               tests/unit/test_compat.py::TestIgnoreUserSignals
+               tests/unit/test_help.py
+               
tests/unit/test_utils.py::TestIgnoreCtrlC::test_ctrl_c_is_ignored
+       )
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       EPYTEST_XDIST= epytest "${serial_tests[@]}"
+
+       local EPYTEST_DESELECT=( "${serial_tests[@]}" )
+       # integration tests require AWS credentials and Internet access
+       epytest tests/{functional,unit}
+}
+
+python_install_all() {
+       newbashcomp bin/aws_bash_completer aws
+
+       insinto /usr/share/zsh/site-functions
+       newins bin/aws_zsh_completer.sh _aws
+
+       distutils-r1_python_install_all
+
+       rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || 
die
+}

Reply via email to